define(["dojo/_base/declare",
        "dojo/_base/lang",
        "dojo/string"],
        function(dDeclare,
                dLang,
                dString,
                resources) {
return dDeclare("console.mod.wizard.WizardPage", null, {

	controller: null,
	
	pageTitle: "Page Title",
	
	pageDescription: "Page Description",
	
	/**
	 * Get the title of this page
	 */
	getTitle:function() {
		return this.pageTitle;
	},
	
	/**
	 * Get the description of this page
	 */
	getDescription:function() {
		return this.PageDescription;
	},
	
	/**
	 * Update wizard's button states
	 */
	updateWizardControls:function() {
		console.log("updateWizardControls");
		if(this.controller != null) {
			this.controller.updateWizardButtonStates();
		}
	},
	
	/**
	 * Check if this page is complete
	 */
	isComplete:function() {
		return true;
	},
	
	/**
	 * Initialize the page - controller is set
	 */
	init:function() {
		
	}
});
});
