define({root:
	({
		backButtonLabel: "Back",
		nextButtonLabel: "Next",
		finishButtonLabel: "Finish",
		cancelButtonLabel: "Cancel",
		refreshButtonLabel: "Refresh",
		closeButtonLabel: "Close",
		okButtonLabel: "OK",
		hostLabel: "Host:",
		portLabel: "Port:",
		encryptionMethodLabel: "Encryption method:",
		sslEncryption: "Use SSL encryption (ldaps://)",
		noEncryption: "No encryption",
		authenticationMethodLabel: "Authentication method:",
		simpleAuthentication: "Simple authentication",
		noAuthentication: "No authentication",
		userDNLabel: "Bind DN or User:",
		passwordLabel: "Password:",
		checkNetworkButtonLabel: "Check Network Parameters",
		importUserButtonLabel: "Import Users...",
		synchronizeLDAPButtonLabel: "Synchronize...",
		synchronizingWithLDAPMessage: "Synchronizing user list with LDAP Server...",
		synchronizingWithLDAPFailedMessage: "Unable to synchronize with LDAP Server. See server log for details.",
		synchronizeLDAPTitle: "Synchronizing with LDAP",
		editEmail: "Edit Email Address...",
		importUsersWizardTitle: "Import Users",
		importFromLabel: "Import from:",
		ldapServer: "LDAP server",
		externalFile: "External file",
		externalFileLabel: "External file:",
		browseButtonLabel: "Browse...",
		baseDNLabel: "Base distinguished name (DN):",
		baseDNExample: "For example:<b>dc=exmple,dc=com</b>.",
		groupFilterLabel: "Group filter:",
		groupFilterExample: "For example:<b>(|(ou=Domain Admins)(cn=Admin Group))</b>.",
		groupAttributeLabel: "Group attribute:",
		groupAttributeExample: "For example: <b>uniqueMember</b> or <b>member</b>.",
		userNameAttributeLabel: "User name attribute:",
		userNameAttributeExample: "For example: <b>cn</b>.",
		userFilterAttributeLabel: "User filter attribute:",
		userFilterAttributeExample: "For example: <b>uid,CN</b>.",
		logonIDAttributeLabel: "Logon ID attribute:",
		logonIDAttributeExample: "For example: <b>uid</b> or <b>userPrincipalName</b>.",
		userEmailAttributeLabel: "User email attribute:",
		userEmailAttributeExample: "For example: <b>mail</b>.",
		logonIDColumnHeader: "Logon ID",
		nameColumnHeader: "Name",
		emailColumnHeader: "Email",
		retrievingUserMessage: "Retrieving users...",
		noUsersFoundMessage: "No users found. Click Import Users to add users to the registry.",
		userRegistryDescription: "Below are the users that are available for service group activities in the Optim Manager. Users can be imported from either an LDAP server or an external file.",
		importTypeDescription: "Select import source.",
		ldapInfoDescription: "Enter network parameters.",
		ldapFilterDescription: "Specify the search filters.",
		resultDescription: "Below are the users that will be imported.",
		ldapNoUsersFoundMessage: "No users were found from your search filters.",
		ldapRetrievalError: "Error encountered while querying LDAP server. Check your search filters and try again.",
		ldapPortOutofRange: "Connection error: port out of range.",
		ldapUnknowHost: "Connection error: unknown host.",
		ldapConnectionError: "Connection error: ${errorMessage}.",
		testConnectionSuccess: "The connection was established successfully.",
		testConnectionFailed: "The connection failed. Check your network parameters and try again.",
		editEmailTitle: "Edit Email Address",
		emailAddressLabel: "Email address:",
		invalidEmailAddress: "Invalid email address."
	}),
	"de-de": true,
	"es-es": true,
	"fr-fr": true,
	"it-it": true,
	"ja-jp": true,
	"ko-kr": true,
	"pt_br": true,
	"zh-cn": true,
	"zh-tw": true
});